
TYPO3.Flow - Feature # 55793

Status: Under Review Priority: Could have
Author: Kerstin Huppenbauer Category: Persistence
Created: 2014-02-08 Assigned To: Kerstin Huppenbauer
Updated: 2014-09-02 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add Support for groupBy
Description

groupBy is supported by Doctrine, but at the moment not by Flow.
This Patch add's groupBy Support to Flow and can be used this way:

$query = $this->createQuery();
return $query->matching()
->setGroupBy(array('propertyName'))
->execute();

History
#1 - 2014-02-08 15:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27461

#2 - 2014-08-28 11:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/27461

#3 - 2014-08-28 14:40 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/27461

#4 - 2014-09-02 08:54 - Mathias Brodala
- File groupings.patch added

Suggestions:

    1. Rename "groupBy" to "groupings" to be consistent with "orderings" 
    2. Move "groupings" right after "orderings"
#5 - 2014-09-02 09:36 - Mathias Brodala
- File generic-persistence-groupings.patch added

#6 - 2014-09-02 09:38 - Mathias Brodala
- File persistence-default-groupings.patch added

Implement default groupings in persistence (Doctrine + Generic)

Files
groupings.patch 6.2 kB 2014-09-02 Mathias Brodala
generic-persistence-groupings.patch 2.1 kB 2014-09-02 Mathias Brodala
persistence-default-groupings.patch 3.6 kB 2014-09-02 Mathias Brodala
